using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Insert one RTF file inside another RTF file			
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com						
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";
			
			
			// Replaces all matches of string "whatReplaceInRtf" in RTF file "rtfSourcePath" by the RTF string "wherewithReplaceRtf".
			//In this example replaces all matches of "document" by the contents of file report2.rtf
			int ret = h.MergeAndReplaceRtfFileFromFile(@"d:\report1.rtf", "document", @"d:\report2.rtf", @"d:\single.rtf");

			// 0 - merged successfully
			// 1 - can't open RTF source file
			// 3 - merging failed
			// 4 - can't create output file, check the output path
			if(ret==0 )
			{
				System.Diagnostics.Process.Start(@"d:\single.rtf");
			}
		}
	}
}
