Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'Convert HTML string to RTF file
        Dim h As New SautinSoft.HtmlToRtf
		'After purchasing the license, please insert your serial number here to activate the component
		'h.Serial = "XXXXXXXXXXXXXXX"

        Dim html As String = ""
        Dim htmlPath As String = "..\..\..\..\..\Testing HTMLs\UTF-8 Sampler.htm"
        Dim rtfPath As String = "..\..\..\..\..\Testing HTMLs\Word document.rtf"

        '1. Read contents of HTML document
        html = ReadFromFile(htmlPath)

        'Set 'BaseUrl' that component can find a full path to .css and images
        h.BaseURL = System.IO.Path.GetDirectoryName(System.IO.Path.GetFullPath(htmlPath))


        '2. Convert HTML string to RTF file
        Dim ret As Integer = h.ConvertStringToFile(html, rtfPath)

        '0 - converting successfully
        '1 - can't open input file or URL, check the input path
        '2 - can't create output file, check the output path
        '3 - converting failed
        If ret = 0 Then
            'Show produced RTF file
            System.Diagnostics.Process.Start(rtfPath)
        End If
    End Sub
    Public Function ReadFromFile(ByVal fileName As String) As String

        Dim fileString As String = ""
        Try
            Dim fs As System.IO.FileStream = New FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.Read)
            Dim b(CInt(Fix(fs.Length)) - 1) As Byte
            If fs.Read(b, 0, CInt(Fix(fs.Length))) > 0 Then
                Dim arCharRes(fs.Length - 1) As Char
                For i As Integer = 0 To fs.Length - 1
                    arCharRes(i) = ChrW(b(i))
                Next i
                fileString = New String(arCharRes)
            End If
            fs.Close()
            Return fileString
        Catch
            Return ""
        End Try
    End Function
End Module
