using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Set page size and margins in RTF document
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";
			
			//Let's set page size A3, landscape orientation and all margins in 1 inch
			h.PageStyle.PageSize.A3();
			h.PageStyle.PageMarginTop.Inch(1.0f);
			h.PageStyle.PageMarginRight.Inch(1.0f);
			h.PageStyle.PageMarginBottom.Inch(1.0f);
			h.PageStyle.PageMarginLeft.Inch(1.0f);
			h.PageStyle.PageOrientation.Landscape();

			//convert HTML file to RTF file
			int ret = h.ConvertFile(@"..\..\..\..\..\..\Testing HTMLs\UTF-8 Sampler.htm", @"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			
			// 0 - converting successfully
			// 1 - can't open input file or URL, check the input path
			// 2 - can't create output file, check the output path
			// 3 - converting failed
			if(ret==0 )
			{
				//Show produced RTF file
				System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			}
		}
	}
}
